# Class RenderEngine

Class RenderEngine

Declaration :

- C++ : class RenderEngine : public RenderGraph

Artifact : renderengine

Operation play

TODO: will probably be handled differently (see Cehteh)

Declaration :

- Uml : + play() : void
- C++ : public: void play ()

Relation renderSegments (<directional composition>)

Declaration :

- Uml : - renderSegments : RenderGraph, multiplicity : 0..*
- C++ : private: list<RenderGraph> renderSegments

Stereotype: list

All public operations : play